> ## Documentation Index
> Fetch the complete documentation index at: https://okl-ink.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Page

> Modify title, description, slug, creator name, or cover image for an existing page.

# Update Page

Updates metadata fields on an existing page. Requires `pages:write` scope.

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token with `pages:write` scope.
</ParamField>

### Path Parameters

<ParamField path="id" type="string" required>
  The unique project ID.
</ParamField>

### Request Body

<ParamField body="title" type="string">
  Updated title.
</ParamField>

<ParamField body="description" type="string">
  Updated description.
</ParamField>

<ParamField body="slug" type="string">
  Updated URL slug. Must be unique across all pages.
</ParamField>

<ParamField body="coverImage" type="string">
  Updated cover image URL (or null to remove).
</ParamField>

<ParamField body="name" type="string">
  Updated creator name.
</ParamField>

### Response

<ResponseField name="id" type="string">
  The project ID.
</ResponseField>

<ResponseField name="slug" type="string">
  The updated URL slug.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://okl.ink/api/v1/pages/cly1019283749 \
    -H "Authorization: Bearer YOUR_API_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{
      "title": "My Project Hub v2",
      "description": "Updated project links and live release."
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": "cly1019283749",
    "slug": "my-project-hub"
  }
  ```
</ResponseExample>
